#ifndef TARTOPTMATRIX_H
#define TARTOPTMATRIX_H

#include "TMatrixD.h"

class TArtOptMatrix : public TMatrixD
{
 public: 

  TArtOptMatrix(){ Allocate(6,5,0,0,1); }
  virtual ~TArtOptMatrix(){}

  virtual void SetForwardFpl(int fpl){f_fpl_number = fpl;}
  virtual int GetForwardFpl(){return f_fpl_number;}

  virtual void SetBackwardFpl(int fpl){b_fpl_number = fpl;}
  virtual int GetBackwardFpl(){return b_fpl_number;}

 protected:

  // forward focal plane number
  int f_fpl_number;

  // backward focal plane number
  int b_fpl_number;

  ClassDef(TArtOptMatrix,1);

};

#endif
